/*
 * crypto_samples_functions.h
 *
 *  Created on: Dec 25, 2014
 *      Author: dmigous
 *  Modified on: Nov 2018
 */

#ifndef CRYPTO_SAMPLES_FUNCTIONS_H_
#define CRYPTO_SAMPLES_FUNCTIONS_H_

TEE_Result attributes_get_set(void);
TEE_Result aes_enc_dec(void);
TEE_Result dh_key_derive(void);
TEE_Result ecdsa_sign_verify(void);
TEE_Result hmac_sha256_digest(void);
TEE_Result rsa_enc_dec(void);
TEE_Result rsa_sign_verify(void);
TEE_Result sha256_digest(void);

/* Helpers */
int hex_string2bytes(const char *src, uint8_t *dest, size_t size);
void bytes2hex_string(char *dest, const uint8_t *src, size_t size);

#endif /* CRYPTO_SAMPLES_FUNCTIONS_H_ */
